{
  pkgs,
  config,
  inputs,
  ...
}: let
  wallpaper = inputs.nix-wallpaper.packages.${pkgs.system}.default.override {
    logoSize = 24;
    preset = "gruvbox-dark-rainbow";
  };
  wallpaperPath = "${wallpaper}/share/wallpapers/nixos-wallpaper.png";
in {
  imports = [
    ./home-mods/dev
    ./home-mods/firefox
    ./home-mods/plasma
    ./home-mods/virt
  ];

  home.file.".background".source = wallpaperPath;
  home.username = "tristand";
  home.homeDirectory = "/home/tristand";

  home.packages = with pkgs; [
    alejandra
    bitwarden
    brave
    btop
    cavalier
    direnv
    imagemagick
    inkscape
    jellyfin-media-player
    kate
    neofetch
    nextcloud-client
    onlyoffice-bin
    rcm
    rustup
    rust-motd
    python311Full
    zstd
    rustdesk
    tutanota-desktop
    signal-desktop
    statix
    tailscale
    tokei
    thunderbird
    zellij
  ];

  home.stateVersion = "23.05";
}
