{
  config,
  lib,
  pkgs,
  ...
}: {
  networking.networkmanager.enable = true;
  networking.nameservers = [
    "45.90.28.0#921984.dns.nextdns.io"
    "45.90.30.0#921984.dns.nextdns.io"
    "2a07:a8c0::#921984.dns.nextdns.io"
    "2a07:a8c1::#921984.dns.nextdns.io"
  ];

  services.resolved = {
    enable = true;
    dnssec = "true";
    domains = ["~."];
    fallbackDns = ["1.1.1.1#one.one.one.one" "1.0.0.1#one.one.one.one"];
    extraConfig = ''
      DNSOverTLS=yes
    '';
  };

  services.tailscale = {
    enable = true;
    useRoutingFeatures = "both";
  };

  services.mozillavpn = {
    enable = true;
  };
}
