{
  config,
  lib,
  pkgs,
  ...
}: {
  environment.systemPackages = with pkgs; [
    virtiofsd
    virt-manager
    virt-viewer
    virt-top
  ];

  virtualisation.docker = {
    enable = true;
    storageDriver = "btrfs";
  };
  virtualisation.libvirtd = {
    enable = true;

    onShutdown = "suspend";
    onBoot = "ignore";

    qemu = {
      package = pkgs.qemu_kvm;
      ovmf.enable = true;
      ovmf.packages = [pkgs.OVMFFull.fd];
      swtpm.enable = true;
      runAsRoot = false;
    };
  };

  # virtualisation.libvirtd.allowedBridges = [
  #   "virbr0"
  #   "testbr0"
  # ];

  # networking.bridges = {
  #   testbr0 = {
  #     interfaces = [
  #       "enp5s0f4u1u1c2"
  #     ];
  #   };
  # };
}
